Bug 5415 - work with command not сonveniently
: work with command not сonveniently
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/dosfstools)
: unstable
: all Linux
: P2 enhancement
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-10-28 16:55 by
Modified: 2008-02-15 23:22 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-10-28 16:55:42
Мне необходимо отформатировать раздел в области windows fat32. 
Я запустил команду mkfs.vfat название раздела. Вышло сообщение что область 
форматирования очень большая. Проблема была в том что по умолчанию стоит 
форматирование fat16. Я считаю, что это не рационально.
------- Comment #1 From 2005-06-20 17:41:09 -------
На нового мантейнера
------- Comment #2 From 2005-06-20 20:02:07 -------
Просьба прислать снимок экрана: что запускалось, что выводилось.
По идее mkdosfs должен сам определить, что раздел слишком большой,
и использовать FAT32. Для этого в mkdosfs.c есть следующий код:

if (!size_fat && blocks*SECTORS_PER_BLOCK > 1064960) {                         

  if (verbose) printf("Auto-selecting FAT32 for large filesystem\n");          

  size_fat = 32;                                                               

}

Какая версия dosfstools используется? В Сизифе последняя 2.11-alt1.
------- Comment #3 From 2005-09-10 13:27:59 -------
В новых версиях всё в порядке. 
------- Comment #4 From 2008-02-15 23:20:07 -------
re
------- Comment #5 From 2008-02-15 23:20:37 -------
Раз в порядке - значит FIXED